How do I install the Tclx package on 8.4.18?

Posted by jalesv on 2009-12-11 09:38
Forums: TEA discussions | OS: Other Linux

I want to use the signal command, so I need the Tclx package. I've downloaded ActiveTcl 8.4.18. I've run ./install.sh. I set path to /bin, and run teacup install Tclx, here is the output:

teacup install Tclx
Resolving Tclx -is package ... [package Tclx 8.4 _ .... Installed outside repository, probing dependencies]

I then try tclsh, and the signal command isn't recognized. What do I need to do?

jalesv | Fri, 2009-12-11 13:04

It turns out I didn't even need the "teacup install Tclx", just doing this makes everything work in the script itself:
#!<>/tclsh
package require Tclx

signal ...